<?php

class  Ragtek_DTFN_InstallCheck
{
    const FW_ID = 'RagtekFW';

    const FW_REQUIRED_VERSION = 25;


    public static function install()
    {
        return self::checkIfFwInstalled();
    }

    public static function checkIfFwInstalled()
    {

        /** @var $addOnModel XenForo_Model_AddOn */
        $addOnModel = XenForo_Model::create('XenForo_Model_AddOn');

        if (!XenForo_Application::autoload('Ragtek_FW_Constants')) {
            self::printFwRequired();
        }
        $fwVersion = $addOnModel->getAddOnVersion(self::FW_ID);

        if (!$fwVersion) {
            self::printFwRequired();
        }
        else {
            if ($fwVersion['version_id'] < self::FW_REQUIRED_VERSION) {
                throw new XenForo_Exception('new framework version > ' . self::FW_REQUIRED_VERSION . ' required', true);
            }
        }
    }


    public static function printFwRequired()
    {
        throw new XenForo_Exception('framework required', true);
    }
}